Package com.pixelmed.geometry

# Class LocalizerPosterFactory

java.lang.Object
com.pixelmed.geometry.LocalizerPosterFactory

public class LocalizerPosterFactory extends Object

An factory class that provides instances of `LocalizerPoster` that are used for posting the position of specified slices and volumes on (usually orthogonal) localizer images.

See Also:
  - `LocalizerPoster`

## Method Summary

Modifier and Type
Method
Description
`static final void`
`dumpShape(Shape shape)`
`static final void`
`dumpShapes(Vector shapes)`
`static LocalizerPoster`
`getLocalizerPoster(boolean projectRatherThanIntersect, boolean planeRatherThanVolume)`
Return a `LocalizerPoster` with the specified characteristics.
`static void`
`main(String[] arg)`
For testing.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### dumpShape

public static final void dumpShape(Shape shape)

### dumpShapes

public static final void dumpShapes(Vector shapes)

### getLocalizerPoster

public static LocalizerPoster getLocalizerPoster(boolean projectRatherThanIntersect, boolean planeRatherThanVolume)

Return a `LocalizerPoster` with the specified characteristics.

Parameters:
  `projectRatherThanIntersect` - if true, project onto the localizer rather than intersect with it
  `planeRatherThanVolume` - for intersection (only), outline the intersection of a volume (cube)rather than a slice (rectangle)
Returns:
  an appropriate localizer poster, or null if one cannot be instantiated

### main

public static void main(String[] arg)

For testing.

Parameters:
  `arg` - ignored